#include <bits/stdc++.h>
#define endl '\n'

using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n, m, c;
	cin >> n >> m >> c;

	for (int i = 0; i < m; i++) {
        cout << 0 << endl;
	}

    return 0;
}
/**
7 3
1 2 2 3 3 3 2
1 7
1 3
4 6
*/
